package com.brilliance.isc.vo.lg;

import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

@JsonIgnoreProperties(ignoreUnknown = true)
@Data
@JsonInclude(JsonInclude.Include.NON_NULL)
public class LimAddCommonVo extends AbstractCommonVo {

    private LimAddVo limAddVo;
    private LimAddClcVo limAddClcVo;
    private List<LimAddVo> limAddVoList;

   public void reset() {
        if (limAddVo == null) {
            limAddVo = new LimAddVo();
        }
        if (limAddClcVo == null) {
            limAddClcVo = new LimAddClcVo();
        }
        if (limAddVoList == null) {
            limAddVoList = new ArrayList<>();
        }

    }
}
